<?php
//namespace application\models\hclinica;

class ConfigSysModel extends My_Model
{
    public function __construct()
    {
        parent::__construct();
        $this->db=$this->conexion;
        $this->table="configsys";
        $this->idTable="idConfigSys";
    }
    public function guardarStdConfigSys($objeto)
    {
        $this->guardarStdObject($objeto);
    }
    public function getConfigSysById($idConfigSys)
    {
        return $this->getArrayById($this->idTable,$idConfigSys,true);
    }
    public function getConfigSysByIdEmisor($idEmisor)
    {
        return $this->getRow("SELECT * FROM {$this->table} WHERE idEmisor=? AND status=?",[$idEmisor,1],true);
    }
}

